Contenu | Rechercher | Menus

Annonce

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 23/01/2024, à 14:14

samu35

[Résolu] Existe t-il un A.I video enhancer pour linux ?

Bonjour,

Sur windows et mac les artistes utilisent des A.I pour améliorer leurs vidéos facilement, peut-on le faire sur ubuntu ?

Moi dans mon cas précis, je voudrais améliorer mes video fpv de drone en effacant le bruit, augmantant la netteté, en enlevent la pixelisation et pourquoi pas aussi du color editing !

Pour linux j'ai trouvé upscayl, ça semble être exactement ce que je veux, mais c'est en beta et la file d'attente pour y acceder semble longue.

https://www.upscayl.org/

J'ai trouvé aussi des trucs obscure comme Waifux2... je comprends même pas comment ça se telecharge et encore moins comment ça s'installe ou s'utilise.

Connaissez-vous des logiciels user frendly comme upscayl ?

Merci

Dernière modification par samu35 (Le 25/01/2024, à 23:01)

Hors ligne

#2 Le 23/01/2024, à 17:36

geole

Re : [Résolu] Existe t-il un A.I video enhancer pour linux ?

Bonjour
https://www.upscayl.org/
Tu n'es pas obligé de prendre la version béta.     Descends dans  l'écran. Tu trouveras la version V2.9.8.  Elle a tous les formats possibles de téléchargements.
Ou directement avec ce lien https://www.upscayl.org/#download

a@a:~/Downloads$ chmod +x upscayl-2.9.8-linux.AppImage
a@a:~/Downloads$ ./upscayl-2.9.8-linux.AppImage
dlopen(): error loading libfuse.so.2

AppImages require FUSE to run. 
You might still be able to extract the contents of this AppImage 
if you run it with the --appimage-extract option. 
See https://github.com/AppImage/AppImageKit/wiki/FUSE 
for more information
a@a:~/Downloads$ 
a@a:~/Downloads$ ./upscayl-2.9.8-linux.AppImage  --appimage-extract
squashfs-root/.DirIcon
.....
a@a:~/Downloads$ sudo dpkg -i upscayl-2.9.8-linux.deb
Selecting previously unselected package upscayl.
(Reading database ... 171514 files and directories currently installed.)
Preparing to unpack upscayl-2.9.8-linux.deb ...
Unpacking upscayl (2.9.8) ...
Setting up upscayl (2.9.8) ...
update-alternatives is /usr/bin/update-alternatives
update-alternatives: using /opt/Upscayl/upscayl to provide /usr/bin/upscayl (upscayl) in auto mode
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for gnome-menus (3.36.0-1.1ubuntu1) ...
Processing triggers for desktop-file-utils (0.26-1ubuntu5) ...
a@a:~/Downloads$ 

Semble impossible à lancer.

a@a:~/Downloads$ upscayl --help
[2659844:0123/170840.727215:FATAL:credentials.cc(127)] Check failed: . : Permission denied (13)
Trace/breakpoint trap (core dumped)
a@a:~/Downloads$ sudo  upscayl --help
[0123/170858.976306:FATAL:electron_main_delegate.cc(294)] Running as root without --no-sandbox is not supported. See https://crbug.com/638180.
Trace/breakpoint trap
a@a:~/Downloads$ sudo  upscayl --no-sandbox
Checking for beta autoupdate feature for deb/rpm distributions
Found package-type: deb
[2691737:0123/171007.652771:ERROR:bus.cc(407)] Failed to connect to the bus: Could not parse server address: Unknown address type (examples of valid types are "tcp" and on UNIX "unix")
[2691737:0123/171007.657765:ERROR:bus.cc(407)] Failed to connect to the bus: Could not parse server address: Unknown address type (examples of valid types are "tcp" and on UNIX "unix")
[2691737:0123/171007.658022:ERROR:bus.cc(407)] Failed to connect to the bus: Could not parse server address: Unknown address type (examples of valid types are "tcp" and on UNIX "unix")
[2691737:0123/171007.658214:ERROR:bus.cc(407)] Failed to connect to the bus: Could not parse server address: Unknown address type (examples of valid types are "tcp" and on UNIX "unix")
? DIRNAME /opt/Upscayl/resources/app.asar/export/electron
Authorization required, but no authorization protocol specified

Authorization required, but no authorization protocol specified

[2691737:0123/171008.108776:ERROR:bus.cc(407)] Failed to connect to the bus: Could not parse server address: Unknown address type (examples of valid types are "tcp" and on UNIX "unix")
Checking for update
17:10:08.178 › ? UPSCAYL EXEC PATH:  /opt/Upscayl/resources/bin/upscayl-bin
17:10:08.189 › ? MODELS PATH:  /opt/Upscayl/resources/models
Generated new staging user ID: 68e55726-dbe8-5ba0-953d-931d3236efdf
Update for version 2.9.8 is not available (latest version: 2.9.8, downgrade is disallowed).
Authorization required, but no authorization protocol specified

Authorization required, but no authorization protocol specified

[2695615:0123/171010.646594:ERROR:angle_platform_impl.cc(44)] Display.cpp:1056 (initialize): ANGLE Display::initialize error 12289: Could not open the default X display.
ERR: Display.cpp:1056 (initialize): ANGLE Display::initialize error 12289: Could not open the default X display.
[2695615:0123/171010.647713:ERROR:gl_display.cc(520)] EGL Driver message (Critical) eglInitialize: Could not open the default X display.
[2695615:0123/171010.648069:ERROR:gl_display.cc(795)] eglInitialize OpenGL failed with error EGL_NOT_INITIALIZED, trying next display type
Authorization required, but no authorization protocol specified

[2695615:0123/171010.654934:ERROR:angle_platform_impl.cc(44)] Display.cpp:1056 (initialize): ANGLE Display::initialize error 12289: Could not open the default X display.
ERR: Display.cpp:1056 (initialize): ANGLE Display::initialize error 12289: Could not open the default X display.
[2695615:0123/171010.655884:ERROR:gl_display.cc(520)] EGL Driver message (Critical) eglInitialize: Could not open the default X display.
[2695615:0123/171010.656942:ERROR:gl_display.cc(795)] eglInitialize OpenGLES failed with error EGL_NOT_INITIALIZED
[2695615:0123/171010.657453:ERROR:gl_display.cc(829)] Initialization of all EGL display types failed.
[2695615:0123/171010.658568:ERROR:gl_ozone_egl.cc(26)] GLDisplayEGL::Initialize failed.
Authorization required, but no authorization protocol specified

[2695615:0123/171010.748456:ERROR:angle_platform_impl.cc(44)] Display.cpp:1056 (initialize): ANGLE Display::initialize error 12289: Could not open the default X display.
ERR: Display.cpp:1056 (initialize): ANGLE Display::initialize error 12289: Could not open the default X display.
[2695615:0123/171010.748620:ERROR:gl_display.cc(520)] EGL Driver message (Critical) eglInitialize: Could not open the default X display.
[2695615:0123/171010.748704:ERROR:gl_display.cc(795)] eglInitialize OpenGL failed with error EGL_NOT_INITIALIZED, trying next display type
Authorization required, but no authorization protocol specified

[2695615:0123/171010.749416:ERROR:angle_platform_impl.cc(44)] Display.cpp:1056 (initialize): ANGLE Display::initialize error 12289: Could not open the default X display.
ERR: Display.cpp:1056 (initialize): ANGLE Display::initialize error 12289: Could not open the default X display.
[2695615:0123/171010.749596:ERROR:gl_display.cc(520)] EGL Driver message (Critical) eglInitialize: Could not open the default X display.
[2695615:0123/171010.749663:ERROR:gl_display.cc(795)] eglInitialize OpenGLES failed with error EGL_NOT_INITIALIZED
[2695615:0123/171010.749754:ERROR:gl_display.cc(829)] Initialization of all EGL display types failed.
[2695615:0123/171010.749830:ERROR:gl_ozone_egl.cc(26)] GLDisplayEGL::Initialize failed.
[2695615:0123/171010.755443:ERROR:viz_main_impl.cc(196)] Exiting GPU process due to errors during initialization
Authorization required, but no authorization protocol specified

Authorization required, but no authorization protocol specified

Authorization required, but no authorization protocol specified

Authorization required, but no authorization protocol specified

[2696792:0123/171010.922840:ERROR:angle_platform_impl.cc(44)] DisplayVkXcb.cpp:59 (initialize): xcb_connect() failed, error 1
ERR: DisplayVkXcb.cpp:59 (initialize): xcb_connect() failed, error 1
[2696792:0123/171010.923415:ERROR:angle_platform_impl.cc(44)] Display.cpp:1056 (initialize): ANGLE Display::initialize error 12289: Not initialized.
ERR: Display.cpp:1056 (initialize): ANGLE Display::initialize error 12289: Not initialized.
[2696792:0123/171010.923924:ERROR:gl_display.cc(520)] EGL Driver message (Critical) eglInitialize: Not initialized.
[2696792:0123/171010.924218:ERROR:gl_display.cc(795)] eglInitialize SwANGLE failed with error EGL_NOT_INITIALIZED
[2696792:0123/171010.924494:ERROR:gl_display.cc(829)] Initialization of all EGL display types failed.
[2696792:0123/171010.925885:ERROR:gl_ozone_egl.cc(26)] GLDisplayEGL::Initialize failed.
Authorization required, but no authorization protocol specified

[2696792:0123/171011.012503:ERROR:angle_platform_impl.cc(44)] DisplayVkXcb.cpp:59 (initialize): xcb_connect() failed, error 1
ERR: DisplayVkXcb.cpp:59 (initialize): xcb_connect() failed, error 1
[2696792:0123/171011.012795:ERROR:angle_platform_impl.cc(44)] Display.cpp:1056 (initialize): ANGLE Display::initialize error 12289: Not initialized.
ERR: Display.cpp:1056 (initialize): ANGLE Display::initialize error 12289: Not initialized.
[2696792:0123/171011.013107:ERROR:gl_display.cc(520)] EGL Driver message (Critical) eglInitialize: Not initialized.
[2696792:0123/171011.013269:ERROR:gl_display.cc(795)] eglInitialize SwANGLE failed with error EGL_NOT_INITIALIZED
[2696792:0123/171011.013434:ERROR:gl_display.cc(829)] Initialization of all EGL display types failed.
[2696792:0123/171011.013591:ERROR:gl_ozone_egl.cc(26)] GLDisplayEGL::Initialize failed.
[2696792:0123/171011.018361:ERROR:viz_main_impl.cc(196)] Exiting GPU process due to errors during initialization
Authorization required, but no authorization protocol specified

Authorization required, but no authorization protocol specified

[2696892:0123/171011.973225:ERROR:x11_software_bitmap_presenter.cc(141)] XGetWindowAttributes failed for window 44040195
17:10:12.887 › ⚙️ Setting saveImageAs to png
17:10:12.894 › ? Setting model to realesrgan-x4plus
17:10:12.897 › ⚙️ Setting gpuId to empty string
17:10:12.901 › ? Setting model to null
17:10:12.939 › ? Setting model to realesrgan-x4plus

Dernière modification par geole (Le 23/01/2024, à 18:13)


Les grilles de l'installateur https://doc.ubuntu-fr.org/tutoriel/inst … _subiquity
"gedit admin:///etc/fstab" est proscrit,  utilisez "pkexec env DISPLAY=$DISPLAY XAUTHORITY=$XAUTHORITY xdg-open /etc/fstab" Voir  https://doc.ubuntu-fr.org/gedit
Les partitions EXT4 des disques externes => https://forum.ubuntu-fr.org/viewtopic.p … #p22697248

En ligne

#3 Le 23/01/2024, à 17:57

Astrolivier

Re : [Résolu] Existe t-il un A.I video enhancer pour linux ?

salut,

je dis peut être une bêtise, mais ça m'a l'air pour de l'image
https://github.com/upscayl/upscayl

Upscayl lets you enlarge and enhance low-resolution images using advanced AI algorithms. Enlarge images without losing quality. It's almost like magic!


edit : pour l'instant je n'ai pas vu de tel outil autohébergé

chercher à : video enhancer ou video enhancement

https://www.google.com/search?q=ai+vide … s-wiz-serp

https://abcloudz.com/blog/best-open-sou … hancement/

peut être
https://github.com/xinntao/Real-ESRGAN

Dernière modification par Astrolivier (Le 23/01/2024, à 18:15)


S'il faut absolument faire des sacrifices pour assurer le progrès de l'humanité, ne serait-il pas indispensable de s'en tenir au principe selon lequel c'est à ceux dont on exige le sacrifice que la décision doit revenir en dernier ressort ? (howard zinn)

Hors ligne

#4 Le 23/01/2024, à 20:21

Funix

Re : [Résolu] Existe t-il un A.I video enhancer pour linux ?

c'est le job des logiciels de montage vidéo avec leurs pléthores d'effets vidéo


FUNIX - https://www.funix.org
Mettez un pingouin dans votre PC
Blog - https://olivier.hoarau.org

Hors ligne

#5 Le 25/01/2024, à 22:59

samu35

Re : [Résolu] Existe t-il un A.I video enhancer pour linux ?

Salut,

j'ai pris en compte toutes vos reponses et je pense que funix à raison je vais apprendre à utiliser un vrai logiciel de montage.

J'en ai essayé plusieurs depuis hier et j'ai un coup de coeur pour davinci ! Je ne savais même pas que ça tournait sous linux, dans ma tête c'était un concurrent d'adobe qui ne se soucis guère de nous ! My bad !

Par contre 300 balles par an c'est chaud, je vais m'entrainer avec la version d'essais, tout est utilisable il y a juste un watermark sur l'image.

En attendant de pouvoir me le payer j'ai aussi essayé shotcut qui est très similair visuellement, malheureusement il ne tourne pas sur ma machine. ça crash dès que j'importe une video. neutral

Dernière modification par samu35 (Le 25/01/2024, à 23:00)

Hors ligne

#6 Le 27/01/2024, à 08:39

Funix

Re : [Résolu] Existe t-il un A.I video enhancer pour linux ?

t'as qu'à passer à kdenlive, ça coûte rien et ça vaut largement bien des logiciels payants


FUNIX - https://www.funix.org
Mettez un pingouin dans votre PC
Blog - https://olivier.hoarau.org

Hors ligne